Debian Bug report logs - #452502
Big latency with the mouse

version graph

Package: libsdl1.2debian; Maintainer for libsdl1.2debian is Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>; Source for libsdl1.2debian is src:libsdl1.2.

Reported by: Guy Roussin <guyr@tele2.fr>

Date: Fri, 23 Nov 2007 10:30:01 UTC

Severity: normal

Fixed in version 1.2.12-1

Done: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Samuel Mimram <smimram@debian.org>:
Bug#452502; Package xmoto. Full text and rfc822 format available.

Acknowledgement sent to Guy Roussin <guyr@tele2.fr>:
New Bug report received and forwarded. Copy sent to Samuel Mimram <smimram@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guy Roussin <guyr@tele2.fr>
To: submit@bugs.debian.org
Subject: Big latency with the mouse
Date: Fri, 23 Nov 2007 11:23:02 +0100
Package: xmoto
Version: 0.3.4-1
Severity: normal

--- Please enter the report below this line. ---
There is a very big latency with the mouse ...
1 or 2 seconds before the mouse move on the
screen. The game is not playable !

guyr

--- System information. ---
Architecture: i386
Kernel: Linux 2.6.22-3-686

Debian Release: lenny/sid
500 unstable www.debian-multimedia.org
500 unstable ftp.fr.debian.org
500 stable wine.budgetdedicated.com
300 testing ftp.fr.debian.org

--- Package information. ---
Depends (Version) | Installed
=========================================-+-======================
libbz2-1.0 | 1.0.3-7
libc6 (>= 2.6.1-1) | 2.6.1-1+b1
libcurl3-gnutls (>= 7.16.2-1) | 7.17.1-1
libgcc1 (>= 1:4.2.1) | 1:4.2.2-3
libgl1-mesa-glx | 7.0.2-2
OR libgl1 |
libglu1-mesa | 7.0.2-2
OR libglu1 |
libjpeg62 | 6b-14
liblua5.1-0 | 5.1.2-4
libode0debian1 (>= 1:0.8.dfsg-3) | 1:0.8.dfsg-3
libpng12-0 (>= 1.2.13-4) | 1.2.15~beta5-3
libsdl-mixer1.2 (>= 1.2.6) | 1.2.8-1
libsdl-ttf2.0-0 | 2.0.9-1
libsdl1.2debian (>= 1.2.10-1) | 1.2.12-1
libsqlite3-0 (>= 3.4.2) | 3.4.2-2
libstdc++6 (>= 4.2.1) | 4.2.2-3
zlib1g (>= 1:1.2.3.3.dfsg-1) | 1:1.2.3.3.dfsg-7
xmoto-data (= 0.3.4-1) | 0.3.4-1





Information forwarded to debian-bugs-dist@lists.debian.org, Samuel Mimram <smimram@debian.org>:
Bug#452502; Package xmoto. Full text and rfc822 format available.

Acknowledgement sent to Samuel Mimram <samuel.mimram@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Samuel Mimram <smimram@debian.org>. Full text and rfc822 format available.

Message #10 received at 452502@bugs.debian.org (full text, mbox):

From: Samuel Mimram <samuel.mimram@ens-lyon.org>
To: Guy Roussin <guyr@tele2.fr>, 452502@bugs.debian.org
Subject: Re: Bug#452502: Big latency with the mouse
Date: Fri, 23 Nov 2007 12:31:16 +0000
Hi,

Guy Roussin wrote:
> There is a very big latency with the mouse ...
> 1 or 2 seconds before the mouse move on the
> screen. The game is not playable !

I guess you simply don't have hardware acceleration enabled with your 
graphic card... What is the output of the following command ?

glxinfo | grep rendering

Cheers,

Samuel.




Information forwarded to debian-bugs-dist@lists.debian.org, Samuel Mimram <smimram@debian.org>:
Bug#452502; Package xmoto. Full text and rfc822 format available.

Acknowledgement sent to guyr <guyr@tele2.fr>:
Extra info received and forwarded to list. Copy sent to Samuel Mimram <smimram@debian.org>. Full text and rfc822 format available.

Message #15 received at 452502@bugs.debian.org (full text, mbox):

From: guyr <guyr@tele2.fr>
To: Samuel Mimram <samuel.mimram@ens-lyon.org>
Cc: 452502@bugs.debian.org
Subject: Re: Bug#452502: Big latency with the mouse
Date: Fri, 23 Nov 2007 15:00:22 +0100
Samuel Mimram a écrit :
> Hi,
>
> Guy Roussin wrote:
>> There is a very big latency with the mouse ...
>> 1 or 2 seconds before the mouse move on the
>> screen. The game is not playable !
>
> I guess you simply don't have hardware acceleration enabled with your 
> graphic card... What is the output of the following command ?
>
> glxinfo | grep rendering
>
> Cheers,
>
> Samuel.
>
Thank Samuel,

direct rendering: Yes

I have 100.14.19 NVidia driver

Guy






Information forwarded to debian-bugs-dist@lists.debian.org, Samuel Mimram <smimram@debian.org>:
Bug#452502; Package xmoto. Full text and rfc822 format available.

Acknowledgement sent to Samuel Mimram <samuel.mimram@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Samuel Mimram <smimram@debian.org>. Full text and rfc822 format available.

Message #20 received at 452502@bugs.debian.org (full text, mbox):

From: Samuel Mimram <samuel.mimram@ens-lyon.org>
To: 452502@bugs.debian.org
Cc: control@bugs.debian.org, Guy Roussin <guyr@tele2.fr>
Subject: reassigning
Date: Thu, 27 Dec 2007 14:08:17 +0100
reassign 452502 libsdl1.2debian
thanks

After further private discussion, the problem seems to be due to SDL and

export SDL_VIDEO_X11_DGAMOUSE=0

fixes the problem. I'm thus reassigning the BR.

Cheers,

samuel.




Bug reassigned from package `xmoto' to `libsdl1.2debian'. Request was from Samuel Mimram <samuel.mimram@ens-lyon.org> to control@bugs.debian.org. (Thu, 27 Dec 2007 13:12:08 GMT) Full text and rfc822 format available.

Reply sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
You have taken responsibility. (Sun, 04 Mar 2012 17:42:03 GMT) Full text and rfc822 format available.

Notification sent to Guy Roussin <guyr@tele2.fr>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 17:42:03 GMT) Full text and rfc822 format available.

Message #27 received at 452502-done@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: 452502-done@bugs.debian.org
Subject: Re: Big latency with the mouse
Date: Sun, 4 Mar 2012 17:39:29 +0000
Version: 1.2.12-1

Hello,

Thank you for your interest in improving Debian, and sorry to keep the
bug unattended for so long.  There's now an effort to review the open
bugs related with SDL packages.

In the upstream relase 1.2.12 they claim to have fixed mouse
support/detection in DGA [1] [2] [3], and I think that subsequently
the DGA support was being removed from Xorg (which was part of the
problem, it seems) and there's this comment from Sam Lantinga (SDL
author): "I think it's time to finally retire the X11 DGA1 code.
*sigh*".

[1] http://www.libsdl.org/release/changes-1.2.html
[2] http://bugzilla.libsdl.org/show_bug.cgi?id=437
[3] http://lists.libsdl.org/pipermail/commits-libsdl.org/2007-July/000234.html

The fact that there's no input to this bug report  (or similar ones)
since 2007 is also an indication that this bug is probably fixed.

So I think that it's safe to close this bug report by now. Of course,
please reopen the bug if you can still reproduce it with newer SDL
versions.

Regards.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Apr 2012 07:28:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:20:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.